التوثيق

List credit notes

Returns credit notes, newest first. Filter by invoice or customer.

GET
/credit-notes

Returns credit notes, newest first. Filter by invoice or customer.

AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Query Parameters

page?|

Page number (1-based)

Range1 <= value <= 2147483647
Default1
limit?|

Number of items per page

Range1 <= value <= 100
Default20
invoiceId?|

Only credit notes of this invoice

customerId?|

Only credit notes of this customer

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/credit-notes"
{  "data": [    {      "id": "cn_3Nf8a2kLmPq9",      "object": "credit_note",      "number": "INV-000012-CN1",      "status": "issued",      "type": "pre_payment",      "invoiceId": "string",      "customerId": "string",      "currency": "EGP",      "reason": "duplicate",      "memo": "string",      "effectiveAt": "string",      "lines": [        null      ],      "amount": -9007199254740991,      "amountShipping": -9007199254740991,      "discountAmount": -9007199254740991,      "subtotal": -9007199254740991,      "subtotalExcludingTax": -9007199254740991,      "total": -9007199254740991,      "totalExcludingTax": -9007199254740991,      "totalTaxes": [        null      ],      "prePaymentAmount": -9007199254740991,      "postPaymentAmount": -9007199254740991,      "outOfBandAmount": -9007199254740991,      "refunds": [        null      ],      "customerBalanceTransactionId": "string",      "voidedAt": "string",      "metadata": {},      "merchantId": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "totalCount": 0}